<!--
*************************************************************************
*   Raster/PCL5e Fax Driver Installer  [ UK ]
*************************************************************************
-->
<discovery xmlns="urn:cissnmpdiscovery">
	
	<refreshRate>60</refreshRate>
	<timeout>8</timeout>

	<broadcastType>eLimitedBroadcast</broadcastType>
	<methodList onlyMatching="false" snmpCommunity="public">

		<method mibType="Canon MIB"> 
		    <OIDList>
				<devTypeOID>.1.3.6.1.4.1.1602.1.1.1.1.0</devTypeOID>
				<devNameOID>.1.3.6.1.4.1.1602.1.1.1.2.0</devNameOID>
				<macAddrOID hexEncoded="true">.1.3.6.1.2.1.2.2.1.6.1</macAddrOID>
				<sysDescOID>.1.3.6.1.2.1.1.1.0</sysDescOID>
			</OIDList>
			
			<deviceList>
				<device name="Canon iR2016 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2016</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2020 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2020</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
							
				<device name="Canon iR4530 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR4530</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR1600-2000 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR1610</devTypeStr>
						<devTypeStr>iR2010</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2200-3300 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2200</devTypeStr>
						<devTypeStr>iR2800</devTypeStr>
						<devTypeStr>iR3300</devTypeStr>
						<devTypeStr>iR2200i</devTypeStr>
						<devTypeStr>iR3300i</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2220/iR3320 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2220</devTypeStr>
						<devTypeStr>iR3320</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2230 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2230</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2270/iR2870 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2270</devTypeStr>
						<devTypeStr>iR2870</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2830 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2830</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR3530 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3530</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR3570/iR4570 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3570</devTypeStr>
						<devTypeStr>iR4570</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 2570C EUR (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 2570C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 2570C-C2570-F1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 2570C-C2570-F1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C2570 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2570</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C2620 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2620</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon CLC-iR C2620-C1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2620-C1</devTypeStr>
						<devTypeStr>CLC-iR C2620-C1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 3100C EUR (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 3100C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 3100C-C3100-E1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3100-E1</devTypeStr>
						<devTypeStr>iR 3100C-C3100-E1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C3100 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3100</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 3170C EUR (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 3170C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 3170C-C3170-F1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 3170C-C3170-F1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C3170 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3170</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C3200 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3200</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon CLC-iR C3200-C1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3200-C1</devTypeStr>
						<devTypeStr>CLC-iR C3200-C1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C3220 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3220</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon CLC-iR C3220-C1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3220-C1</devTypeStr>
						<devTypeStr>CLC-iR C3220-C1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon FAX-L2000 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>LASER CLASS 700</devTypeStr>
						<devTypeStr>FAX-L2000</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C6870 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C6870</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 6870C EUR (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 6870C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C5870 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5870</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 5870C EUR (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 5870C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 2570C-C2570-F2 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2570-F2</devTypeStr>
						<devTypeStr>iR 2570C-C2570-F2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR 3170C-C3170-F2 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3170-F2</devTypeStr>
						<devTypeStr>iR 3170C-C3170-F2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon CLC-iR C2620-C2 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2620-C2</devTypeStr>
						<devTypeStr>CLC-iR C2620-C2</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon CLC-iR C3220-C2 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3220-C2</devTypeStr>
						<devTypeStr>CLC-iR C3220-C2</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF7100 Series (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>MF7170i</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C5180 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5180</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C4080/C4580 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C4580</devTypeStr>
						<devTypeStr>iR C4080</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C5180-H1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5180-H1</devTypeStr>
						<devTypeStr>CLC5151-iR C5180-H1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR C4080/C4580-H1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C4580-H1</devTypeStr>
						<devTypeStr>iR C4080-H1</devTypeStr>
						<devTypeStr>CLC4040-iR C4580-H1</devTypeStr>
						</matchingDevTypeStrs>
				</device>
				
				<device name="Canon CLC4040-H1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>CLC4040-iR C4580-H1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon CLC5151-H1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>CLC5151-iR C5180-H1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2880/C3380 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2880</devTypeStr>
						<devTypeStr>iR C3380</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3025 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3030 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3035/iR3045 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3035</devTypeStr>
						<devTypeStr>iR3045</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5055/iR5065 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5055</devTypeStr>
						<devTypeStr>iR5065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5055/iR5065-S2 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5055-S2</devTypeStr>
						<devTypeStr>iR5065-S2</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5075 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5075-S2 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5075-S2</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5185 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5185</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5185-H1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5185-H1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2022/2025/2030 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2022</devTypeStr>
						<devTypeStr>iR2025</devTypeStr>
						<devTypeStr>iR2030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR2018 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2018</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon LC800/L3000 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>LC800</devTypeStr>
						<devTypeStr>L3000</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2580 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2580</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 3180C EUR (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 3180C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3180 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3180</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 5880C/6880C EUR (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR 5880C EUR</devTypeStr>
						<devTypeStr>iR 6880C EUR</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C5880/C6880 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5058</devTypeStr>
						<devTypeStr>iR C5068</devTypeStr>
						<devTypeStr>iR C5880</devTypeStr>
						<devTypeStr>iR C6880</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5050 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5050</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR5050-S2 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR5050-S2</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR1022/1023 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR1023</devTypeStr>
						<devTypeStr>iR1022</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C2380/2550 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2380</devTypeStr>
						<devTypeStr>iR C2550</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3080/3480/3580 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3080</devTypeStr>
						<devTypeStr>iR C3480</devTypeStr>
						<devTypeStr>iR C3580</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iRC1021/1022 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C1022</devTypeStr>
						<devTypeStr>iR C1021</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF8400 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>MF8400 Series</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon MF9100/9300 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>MF9100 Series</devTypeStr>
						<devTypeStr>MF9100/9300 Series</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3580/C3380-J1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C3380-J1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR C3080/C2880-J1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C2880-J1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 58x0C-C58x0-G1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C5870-G1</devTypeStr>
						<devTypeStr>iR 5870C-C5870-G1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR 68x0C-C68x0-G1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR C6870-G1</devTypeStr>
						<devTypeStr>iR 6870C-C6870-G1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3225 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3225</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3230 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3230</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR3235/iR3245 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR3235</devTypeStr>
						<devTypeStr>iR3245</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR1024/1025 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR1024</devTypeStr>
						<devTypeStr>iR1025</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C9065/9075 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9075</devTypeStr>
						<devTypeStr>iR-ADV C9065</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C9060/9070 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9070</devTypeStr>
						<devTypeStr>iR-ADV C9060</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C9000s-A1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C9075-A1</devTypeStr>
						<devTypeStr>iR-ADV C9070-A1</devTypeStr>
						<devTypeStr>iR-ADV C9065-A1</devTypeStr>
						<devTypeStr>iR-ADV C9060-A1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C7055/7065 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7065</devTypeStr>
						<devTypeStr>iR-ADV C7055</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C7000s-A1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C7065-A1</devTypeStr>
						<devTypeStr>iR-ADV C7055-A1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C5045/5051 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5051</devTypeStr>
						<devTypeStr>iR-ADV C5045</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C5030/5035 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5035</devTypeStr>
						<devTypeStr>iR-ADV C5030</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV C5000s-B1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV C5051-B1</devTypeStr>
						<devTypeStr>iR-ADV C5045-B1</devTypeStr>
						<devTypeStr>iR-ADV C5035-B1</devTypeStr>
						<devTypeStr>iR-ADV C5030-B1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2520 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2520</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2525/2530 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2525</devTypeStr>
						<devTypeStr>iR2530</devTypeStr>
					</matchingDevTypeStrs>
				</device>
				
				<device name="Canon iR2535/2545 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR2535</devTypeStr>
						<devTypeStr>iR2545</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6055/6065 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6065</devTypeStr>
						<devTypeStr>iR-ADV 6055</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6075 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6075</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6055/6065-U1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6065-U1</devTypeStr>
						<devTypeStr>iR-ADV 6055-U1</devTypeStr>
					</matchingDevTypeStrs>
				</device>

				<device name="Canon iR-ADV 6075-U1 (FAX)">
					<matchingDevTypeStrs>
						<devTypeStr>iR-ADV 6075-U1</devTypeStr>
					</matchingDevTypeStrs>
				</device>
			</deviceList>
			
		</method>
	</methodList>
	
</discovery>
